var playlink = Class.create({
	initialize: function(link) {

		this.options = Object.extend({
			   'url': '/www/ajax/preview.php'
			  }, arguments[1] || { });

		this.link = link;
        this.link.observe('click', this.click.bindAsEventListener(this));
		this.smid= this.link.href;
		var this_O = this;
		this.sm = soundManager.createSound({
			'id':this.smid,
			'url':this.link.href,
			'onfinish': function(){
					this_O.link.removeClassName('playing');
			}
		});
	},

	click: function(ev) {
		ev.stop();
		if (this.link.hasClassName('playing')) {
			this.pause();
		} else if(this.link.hasClassName('paused')) {
			this.resume();
		}else {
			this.play();
		}
	},

	play: function() {
		if(this.link.id) {
		new Ajax.Request(this.options.url, {
			  method: 'post',
			  parameters: {'sid':this.link.id},
			  onSuccess: function(transport) {								
			  }
			});
		}
		this.resetAll();
		this.sm.play();
		this.link.removeClassName('paused');
		this.link.addClassName('playing');
	},

	pause: function() {
		this.sm.pause();
		this.link.removeClassName('playing');
		this.link.addClassName('paused');
	},

	resume: function() {
		this.sm.resume();
		this.link.removeClassName('paused');
		this.link.addClassName('playing');
	},

	resetAll: function(ev) {
		soundManager.stopAll();
		$$('.player').each(function(el) {
					el.removeClassName('playing');
					el.removeClassName('paused');
		});

	}

});







var editupload = Class.create({
	initialize: function(div) {

		this.options = Object.extend({
			   'url': ''
			  }, arguments[1] || { });

		this.div = div;
		this.id =  this.div.readAttribute('sid');
		this.cmddelete = $('delete_' + this.id );
		this.cmdsave =  $('save_' + this.id );
		this.txttitle = $('title_' + this.id );
		this.txttags = $('tags_' + this.id );
		this.txttitleerror = $('titleerror_' + this.id );
		this.txttagserror = $('tagserror_' + this.id );

        this.cmddelete.observe('click', this.del.bindAsEventListener(this));
    	this.cmdsave.observe('click', this.save.bindAsEventListener(this));

	},

	del: function(ev) {
			ev.stop();
			var thisO = this;
			new Ajax.Request(this.options.url,{
				'parameters':{ 'id':this.id,
							  'action':'delete'},
				onSuccess: function(transport) {
					if (transport.responseText == '1'){
						Effect.Fade(thisO.div);
					} else {
						var errJSON = transport.responseText.evalJSON(true);
						if (errJSON.general) thisO.txttitleerror.innerHTML = errJSON.general;
						//ERROR!
					}
				}
		});
},

	save: function(ev) {
			ev.stop();
			var thisO = this;
			new Ajax.Request(this.options.url,{
				'parameters':{ 'id':this.id,
							   'action':'update',
							   'title':$F(this.txttitle),
							   'tags':$F(this.txttags)},
				onSuccess: function(transport) {
					if (transport.responseText == '1'){
						Effect.Fade(thisO.div);
					} else {
						var errJSON = transport.responseText.evalJSON(true);
						if (errJSON.title) thisO.txttitleerror.innerHTML = errJSON.title;
						if (errJSON.tags) thisO.txttagserror.innerHTML = errJSON.tags;
						//ERROR!
					}
				}
			});

			//
	}
});